Bug 1272530 - Review Request: python-mistralclient - python client for Mistral REST API
Review Request: python-mistralclient - python client for Mistral REST API
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 12:07 EDT by Daniil
Modified: 2016-04-15 10:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+


Attachments (Terms of Use)
Diff from mos-outside/rpm-master to openstack-packages/python-mistralclient (3.67 KB, patch)
2015-11-19 04:17 EST, Alan Pevec
no flags Details | Diff

  None (edit)
Description Daniil 2015-10-16 12:07:32 EDT
Spec URL: https://raw.githubusercontent.com/mos-outside/python-mistralclient/rpm-master/python-mistralclient.spec
SRPM URL: https://github.com/openstack/python-mistralclient/tree/stable/liberty
Description: Python client for Mistral REST API. Includes python library for Mistral API and Command Line Interface (CLI) library.
https://review.gerrithub.io/#/c/249802/
Comment 1 Alan Pevec 2015-11-19 04:14:59 EST
Dan imported initial draft spec to openstack-packages/python-mistralclient, probably not aware of this review. I'll attach spec diff.
Comment 2 Alan Pevec 2015-11-19 04:17 EST
Created attachment 1096567 [details]
Diff from mos-outside/rpm-master to openstack-packages/python-mistralclient

Looks like spec in openstack-packages/python-mistralclient was modified from some other client spec?
Comment 3 Telles Nobrega 2015-11-23 15:24:01 EST
* Drop the first line
* Drop Group tags, they are unused
* Use versioned python macros %{__python2} and %{python2_sitelib}
* Drop %clean section
* Drop defattr
* Name top level directories in %{python2_sitelib}
%{python_sitelib}/ => means you own a directory owned by python package
* Submit a package that can be compiled in Fedora (this is a Fedora review), the same goes for RDO reviews so that we could leverage Fedora semi-automated reviewing tools. Add version, release and changelog entry.
* There is an error on the description Sytem -> System
Comment 4 Haïkel Guémar 2015-12-01 17:27:35 EST
ping
Comment 5 Upstream Release Monitoring 2016-01-25 04:11:51 EST
mflobo's scratch build of python-mistralclient-1.2.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12674107
Comment 7 Haïkel Guémar 2016-04-15 10:32:10 EDT
I hereby approve this package into Fedora Packages Collection, please submit SCM requestx



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 16 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1272530-python-
     mistralclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-mistralclient , python-mistralclient-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-mistralclient-1.2.0-1.fc25.noarch.rpm
          python-mistralclient-doc-1.2.0-1.fc25.noarch.rpm
          python-mistralclient-1.2.0-1.fc25.src.rpm
python2-mistralclient.noarch: W: no-manual-page-for-binary mistralclient
python2-mistralclient.noarch: W: no-manual-page-for-binary mistral
python2-mistralclient.noarch: W: no-manual-page-for-binary mistralclient-2
python2-mistralclient.noarch: W: no-manual-page-for-binary mistralclient-2.7
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python2-mistralclient.noarch: W: no-manual-page-for-binary mistralclient-2.7
python2-mistralclient.noarch: W: no-manual-page-for-binary mistralclient-2
python2-mistralclient.noarch: W: no-manual-page-for-binary mistralclient
python2-mistralclient.noarch: W: no-manual-page-for-binary mistral
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
python-mistralclient-doc (rpmlib, GLIBC filtered):

python2-mistralclient (rpmlib, GLIBC filtered):
    /usr/bin/python2
    PyYAML
    python(abi)
    python-cliff
    python-keystoneclient
    python-openstackclient
    python-pbr
    python-requests



Provides
--------
python-mistralclient-doc:
    python-mistralclient-doc

python2-mistralclient:
    python-mistralclient
    python2-mistralclient



Source checksums
----------------
http://pypi.python.org/packages/source/p/python-mistralclient/python-mistralclient-1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : ec815c0f0954c807e8be91573321c40f0c5706c7223c87c420bd30a7624e2045
  CHECKSUM(SHA256) upstream package : ec815c0f0954c807e8be91573321c40f0c5706c7223c87c420bd30a7624e2045


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1272530 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Note You need to log in before you can comment on or make changes to this bug.